# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-net_ldap
Version:			1.0.0
Release:			1.3
Summary:			Object oriented interface for searching and manipulating LDAP-entries
License:			GPL License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_LDAP
Source0:			http://pear.php.net/get/Net_LDAP-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
Requires:		php5-ldap
BuildRequires:	php5-pear

%description
Net_LDAP is a clone of Perls Net::LDAP object interface to
directory servers. It does contain most of Net::LDAPs features
but has some own too.
With Net_LDAP you have:
* A simple object-oriented interface to connections, searches
  entries and filters.
* Support for tls and ldap v3.
* Simple modification, deletion and creation of ldap entries.
* Support for schema handling.

Net_LDAP layers itself on top of PHP's existing ldap extensions.


Authors:
--------
	Benedikt Hallinger
	Tarjei Huse
	Jan Wagner

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Net_LDAP.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_LDAP.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_LDAP
fi

%files
%defattr(-, root, root)
%dir %{peardir}/Net
%dir %{peardir}/Net/LDAP
%{peardir}/Net/LDAP.php
%{peardir}/Net/LDAP/*.php
%dir %{peardir}/tests/Net_LDAP
%dir %{peardir}/tests/Net_LDAP/tests
%{peardir}/tests/Net_LDAP/tests/AllTests.php
%{peardir}/tests/Net_LDAP/tests/Net_LDAP*.php
%{_var}/lib/pear/Net_LDAP.xml

%changelog
* Wed Nov 07 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
